<template>
  <div class="aftersale">
    <div class="commodity-box">
      <div class="express border-bottom-1">
        <p class="title">头像</p>
        <i class="fa fa-angle-right" @click="edit('photo')"></i>
        <p class="tip">照片</p>
      </div>
      <div class="express border-bottom-1">
        <p class="title">昵称</p>
        <i class="fa fa-angle-right" @click="edit('nickname')"></i>
        <p class="tip">昵称</p>
      </div>
      <div class="express border-bottom-1">
        <p class="title">性别</p>
        <i class="fa fa-angle-right" @click="edit('sex')"></i>
        <p class="tip">女</p>
      </div>
      <div class="express border-bottom-1">
        <p class="title">身高</p>
        <i class="fa fa-angle-right" id="stature"></i>
        <p class="tip">170cm</p>
      </div>
      <div class="express border-bottom-5">
        <p class="title">体重</p>
        <i class="fa fa-angle-right" id="weight"></i>
        <p class="tip">57kg</p>
      </div>
      <div class="express border-bottom-1">
        <p class="title">收货地址</p>
        <i class="fa fa-angle-right" @click="edit('address')"></i>
        <p class="tip"></p>
      </div>
      <div class="express border-bottom-1">
        <p class="title">是否为企业账号</p>
        <i class="fa fa-angle-right" @click="edit('nickname')"></i>
        <p class="tip"></p>
      </div>
    </div>
    <div id="nickname" class="weui-popup__container popup-bottom">
      <div class="weui-popup__overlay"></div>
      <div class="weui-popup__modal">
        <span class="close"><i class="icon-close"></i></span>
        <h4 class="text-center header">编辑</h4>
        <div class="weui-cells">
          <div class="weui-cell">
            <div class="weui-cell__bd">
              <input class="weui-input" type="text" placeholder="昵称">
            </div>
          </div>
        </div>
        <div class="weui-tabbar">
          <a href="javascript:;" class="weui-btn weui-btn_warn">保存</a>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import {dict} from '../store/dictionary'
export default {
  name: 'aftersale',
  components: {},
  data () {
    return {
      dict: dict,
      typeList: [
        {
          name: '全部',
          active: true,
          type: 'all'
        },
        {
          name: '待付款',
          active: false,
          type: 'ap'
        },
        {
          name: '待发货',
          active: false,
          type: 'price'
        },
        {
          name: '待收货',
          active: false,
          type: 'price'
        },
        {
          name: '待评价',
          active: false,
          type: 'price'
        }
      ]
    }
  },
  methods: {
    jumpBack () {
      this.$router.back(-1)
    },
    jumpmenu (type) {
      this.$router.push({name: type})
    },
    confirm () {
      $.toast('收货成功', 3000)
    },
    estimate () {
      this.$router.push({name: 'estimate'})
    },
    openpopup () {
      $('#logistics').popup()
    },
    aftersale () {
      this.$router.push({name: 'aftersale'})
    },
    edit (type) {
      if (type === 'nickname') {
        $('#' + type).popup()
      } else if (type === 'sex') {
        $.actions({
          actions: [
            {
              text: '男',
              onClick () {
                console.log(123)
              }
            },
            {
              text: '女',
              onClick () {
                console.log(123)
              }
            }
          ]
        })
      } else if (type === 'address') {
        this.$router.push({name: 'address'})
      }
    }
  },
  mounted: function () {
    $('#stature').picker({
      title: '请选择您的身高',
      toolbarCloseText: '确定',
      onClose () {
        console.log(1)
      },
      cols: [
        {
          textAlign: 'center',
          values: ['165cm', '170cm', '175cm', '180cm', '185cm']
        }
      ]
    })
    $('#weight').picker({
      title: '请选择您的体重',
      toolbarCloseText: '确定',
      onClose () {
        console.log(1)
      },
      cols: [
        {
          textAlign: 'center',
          values: ['60kg', '65kg', '70kg', '75kg', '80kg']
        }
      ]
    })
  }
}
</script>

<style scoped>
.commodity {
  position: relative;
  padding: 10px 10px 10px;
}
.express {
  height: 50px;
  line-height: 50px;
  position: relative;
  padding: 0px 15px;
  background: #ffffff;
}
.express .title {
  float: left;
}
.express .tip {
  float: right;
  font-size: 14px;
  color: #bbbbbb;
  margin-right: 10px;
}
.express .fa {
  font-size: 24px;
  color: #bbbbbb;
  float: right;
  margin-top: 13px;
}
.close {
  display: inline-block;
  width: 20px;
  height: 20px;
  position: absolute;
  top: 10px;
  right: 8px;
  transform:rotate(60deg);
  -moz-transform:rotate(45deg);
  -webkit-transform:rotate(45deg);
  -o-transform:rotate(45deg);
}
.close .icon-close:before {
  content: " ";
  position: absolute;
  top: 50%;
  left: 50%;
  height: 1px;
  width: 16px;
  background-color: #000000;
  margin-left: -7px;
}
.close .icon-close:after {
  content: " ";
  position: absolute;
  top: 50%;
  left: 50%;
  height: 16px;
  width: 1px;
  background-color: #000000;
  margin-top: -7px;
}
#nickname .weui-popup__modal {
  height: 250px;
}
.weui-btn {
  width: 100%;
  border-radius: 0px;
}
.weui-cells {
  margin: 20px 0px;
}
.header {
  line-height: 50px;
}
</style>
